undefined symbols when trying to load fglrx

Bug #247376 reported by Mario Limonciello on 2008-07-10
276
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Steve Langasek
fglrx-installer (Fedora)
Invalid
High
fglrx-installer (Ubuntu)
Critical
Unassigned
Intrepid
Critical
Unassigned
update-manager (Ubuntu)
Undecided
Michael Vogt
Intrepid
Undecided
Michael Vogt

Bug Description

The current release in Ubuntu Intrepid is 8-6. The 8-6 release is not compatible with the Xorg ABI in Ubuntu right now. When trying to install/load the driver, an error message is output to the Xorg log about undefined symbols.

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.99.905 (1.5.0 RC 5)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.99.905-0ubuntu2)
Current Operating System: Linux dell-desktop 2.6.26-3-generic #1 SMP Wed Jul 2 21:56:15 UTC 2008 i686
Build Date: 07 July 2008 10:53:03AM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Jul 10 15:55:22 2008
(==) Using config file: "/etc/X11/xorg.conf"
(EE) Failed to load module "dri2" (module does not exist, 0)
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//fglrx_drv.so
(EE) Failed to load module "fglrx" (loader failed, 7)
(EE) No drivers available.

Fatal server error:
no screens found

Download full text (9.4 KiB)

Description of problem:
I have these packages installed :
xorg-x11-resutils-7.1-4.fc8.i386
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-drv-keyboard-1.2.2-3.fc9.i386
xorg-x11-twm-1.0.3-1.fc8.i386
xorg-x11-util-macros-1.1.5-1.fc7.i386
xorg-x11-drv-vesa-1.3.0-12.20071113.fc9.i386
xorg-x11-server-utils-7.3-2.fc9.i386
xorg-x11-drv-fglrx-libs-8.452.1-2.8.01.lvn9.i386
xorg-x11-drv-evdev-1.2.0-1.fc9.i386
xorg-x11-proto-devel-7.3-7.fc9.noarch
xorg-x11-drv-void-1.1.1-8.fc9.i386
xorg-x11-xinit-1.0.7-2.fc8.i386
xorg-x11-xfs-1.0.5-1.fc8.i386
xorg-x11-font-utils-7.2-3.fc9.i386
xorg-x11-drv-mouse-1.2.3-3.fc9.i386
xorg-x11-xkb-utils-7.2-3.fc8.i386
xorg-x11-xauth-1.0.2-3.fc8.i386
xorg-x11-fonts-truetype-7.2-3.fc8.noarch
xorg-x11-xdm-1.1.6-2.fc8.i386
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-drv-fglrx-8.452.1-2.8.01.lvn9.i386
xorg-x11-utils-7.3-1.fc8.i386
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-filesystem-7.1-2.fc6.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-server-Xorg-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-apps-7.3-1.fc8.i386
xorg-x11-server-sdk-1.3.0.0-40.fc8.i386
xorg-x11-server-common-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-drv-fglrx-libs-8.452.1-2.8.01.lvn9.i386
kmod-fglrx-8.452.1-3.8.01.lvn9.i686
xorg-x11-drv-fglrx-8.452.1-2.8.01.lvn9.i386
akmod-fglrx-8.452.1-3.8.01.lvn9.i686

but no X can start and this is the log:

X.Org X Server 1.4.99.2
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.4.el5.bz358661.1xen i686
Current Operating System: Linux localhost.localdomain 2.6.24-7.fc9 #1 SMP Mon
Jan 28 20:16:56 EST 2008 i686
Build Date: 29 January 2008 04:53:56AM
Build ID: xorg-x11-server 1.4.99.1-0.19.20080107.fc9
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Feb 1 15:19:53 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "aticonfig-Screen[0]" (0)
(**) | |-->Monitor "aticonfig-Monitor[0]"
(**) | |-->Device "aticonfig-Device[0]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(**) Option "AIGLX" "on"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
 catalogue:/etc/X11/fontpath.d,
 built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is disabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81ec500
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 4.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 1.0
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(++) using VT number 7

(--) PCI:*(0@1:0:0) unknown vendor (0x1002) Radeon Mobility X1400 rev 0, Mem @
0xd0000000/0, 0xefdf0000/0, I/O @ 0x0000ee00/0, BIOS @ 0x????????/131072
(II) System resource ranges:
 [0] -1 0 0xffffffff - 0xffffffff (0x1)...

Read more...

(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol:
miZeroLineScreenIndex

The frglx module is not built properly against the current ABI of the X server.
Nothing Fedora can do about it; this is a problem with the frglx driver.

Mario Limonciello (superm1) wrote :

There is nothing that we can do at this point other than wait for an updated driver. Fedora 9 users have been plagued by this for a long time.

Changed in fglrx-installer:
importance: Undecided → Critical
status: New → Triaged
Mario Limonciello (superm1) wrote :

This bug persists in the 8-7 release of the driver.

Nick Fox (nickj-fox) wrote :

I am using the latest fglrx and xorg on intrepid and have the same error.

(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//fglrx_drv.so
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (loader failed, 7)

Daryl Lublink (dlublink) wrote :

Running a radeon 9600 same error:

undefined symbol: miZeroLineScreenIndex

I am running on latest intrepid version available in the repository ca.archive.ubuntu.com as of the writting of this comment.

PazO (pazoman) wrote :

Same issue:
(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//fglrx_drv.so
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (loader failed, 7)

Running latest Intrepid also. Please let me know if more info is needed.

PazO (pazoman) wrote :

Some extra info about this problem:

AMD/ATI BugZilla
http://ati.cchtml.com/show_bug.cgi?id=1012

Same issue at redhat:
https://bugzilla.redhat.com/show_bug.cgi?id=431189

Atanas Atanasov (thenasko) wrote :

Could anyone suggest a workaround? I just upgraded and my X+fglrx are broken. I am not sure how to revert to previous versions using dpkg, apt-get or aptitude.

Atanas Atanasov (thenasko) wrote :

Changing the video driver from fglrx to ati or radeonhd in xorg.conf both worked for me. However, the more advanced 3D graphics do not work. However, this suffices for most intents until a next version is released.

Changed in fglrx-installer:
status: Unknown → Invalid
flaccid (chris-xhost) wrote :

Can somebody hassle AMD/ATI and get them to fix their driver?
Its 2008, not 1994. I'm assuming they open-sourced their driver to relinquish responsibility in maintainence and support.
Using the 'ati' driver is not going to cut it for most users, particularly older Radeon users. And I certainly don't think users should have to buy new hardware to get decent video on *nix (in general).

I have fglrx working without this bug however on:
Linux lister 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux
ii fglrx-control 1:8-3+2.6.24.13-19.44 Control panel for the ATI graphics accelerat
ii xorg-driver-fglrx 1:7.1.0-8-3+2.6.24.14-20.46 Video driver for ATI graphics accelerators

With all the people who have reported this bug, who/what compiled the module and was it compiled against a matching kernel etc.?

PazO (pazoman) wrote :

http://www.phoronix.com/forums/showthread.php?t=11726

Take a look at my question #5 and his answer in #6.

He says that they are working on it. You wont get more info than that.

flaccid (chris-xhost) wrote :

I feel sorry for all the people on ATI and who don't have money to replace their hardware with Nvidia :)

PazO (pazoman) wrote :

Actually this is just a problem if you run unstable therefor I understand why ATI doesn't support it. Nothing to be mad about. :)

Also affected with Ati Mobility Radeon X700

flaccid (chris-xhost) wrote :

PazO - people who run unstable what sorry?
ATI has stable and unstable branches of their driver?

Unstable x server version. Unreleased for that matter.

On 08/08/2008, flaccid <email address hidden> wrote:
> PazO - people who run unstable what sorry?
> ATI has stable and unstable branches of their driver?
>
> --
> undefined symbols when trying to load fglrx
> https://bugs.launchpad.net/bugs/247376
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from Gmail for mobile | mobile.google.com

Mario Limonciello
<email address hidden>

flaccid (chris-xhost) wrote :

Ok. How do we know that that is the problem?

dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex

error above looks like its from fglrx, not Xorg.
I don't understand this stuff very well but if you could explain for me i'd really appreciate it.

PazO (pazoman) wrote :

flaccid:

It's because Intrepid uses an x server version that hasn't been released as stable yet. In this release they made a change in the ABI(http://en.wikipedia.org/wiki/Application_binary_interface) which break drivers like fglrx.

If you use Ubuntu Hardy you won't have this problem.

I hope that made it more clear. :)

flaccid (chris-xhost) wrote :

Thanks PazO. I understand now. I just came across this bug because it was cross-referenced with other bugs but were not actually related. I am on Hardy. Thanks for the info.

Daniel Moerner (dmoerner) wrote :

FYI this bug report is a bit out of date as the (EE) DRI2 problem has now been fixed. The bug is still in fglrx but at least another blocker for solving it is gone.

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/247120

Luigi Maselli (grigio) wrote :

Is possible to install on Intrepid the hardy version of xorg + fglrx 8.7 or 8.6?
Please suggest a workaround.

jyio (inportb) wrote :

"Is possible to install on Intrepid the hardy version of xorg + fglrx 8.7 or 8.6?"

AFAIK, that has been done before and it works. Just add the hardy repositories and pin xorg to hardy.

Luigi Maselli (grigio) wrote :

@jyio: I've done it, but fglrx driver is still very immature for 4850 card, but there is no alternative.
It freezes after a while for no reason :(

PazO (pazoman) wrote :

This bug persists in the 8.8 release of the driver.

Also this article states that it hasn't been fixed:
http://www.phoronix.com/scan.php?page=article&item=amd_catalyst_evolution&num=2

Steve Langasek (vorlon) on 2008-08-29
Changed in ubuntu-release-notes:
assignee: nobody → vorlon
status: New → Confirmed
Bryce Harrington (bryce) wrote :

I've been in contact with AMD on this issue. I can confirm the issue exists with xserver 1.5 on all versions of -fglrx and is in process of being worked on.

Some technical background - xserver 1.5 includes a rework of how private server data is handled, which has necessitated updates in all FOSS drivers. -fglrx is being updated to account for this change, but I understand it is not a trivial amount of code to fix.

Michael Vogt (mvo) wrote :

Should update-manager (on release upgrades) auto warn people using the fglrx driver not to upgrade (yet)? Or should it auto transition them to either ati or vesa ?

Alberto Milone (albertomilone) wrote :

Michael Vogt:
if you want I can give you a hand with this. We could do what we already do with nvidia-common and change the driver in the xorg.conf (maybe with X-Kit) according to what the modalias files say. This should be done for the fglrx driver and for 2 nvidia drivers (71 and 96).

Bryce Harrington (bryce) wrote :

An auto-warn to switch to -ati would probably be worthwhile. Also maybe a mention that if -ati hangs, to try it without compiz (since that's the most typical issue with -ati, although it's gotten better).

Really it shouldn't be in the repos but I guess they are expecting the next catalyst driver to be release before intrepid will fix this. If this is not the case, expect fglrx to be removed from the repos

The Fiddler (stapostol) wrote :

No, the problem still persists in fglrx 8.532 (8.9 release).

It is rumoured that the fix will land in the 8.10 (October) release - but this is just a rumour.

Timo Aaltonen (tjaalton) wrote :

the latest release actually breaks X for users that have it installed, since it diverts libdri.so which has a wrong ABI version -> xserver won't start.

lichtgestalt (lichtgestalt) wrote :

Yeah - Xorg is completly broken since last update. Failsafe starts but is unable to fix anything (won't generate a new config). Changing the driver manually doesn't work either (not even vesa or fb work).
Is there any work around to make it start again? Trying to remove xorg-driver-fglrx or xserver-xorg-video-radeon will also remove half my system.

Rob (robklg) wrote :

lichtgestalt, can you attach the X log with the errors? It's probably the file /var/log/Xorg.0.log.old or /var/log/Xorg.0.log as you probably know. I had something similar break, I removed xorg-driver-fglrx, and then I did a reinstall xserver-xorg-core to be sure my libdri.so was alright. Then it worked.

I think you should be able to remove xorg-driver-fglrx safely? I did..

lichtgestalt (lichtgestalt) wrote :

Already tried that, but after restarting gdm I ended up with a blank screen.
Tried again now this time restarting my system afterwards and it actually works now.
THX

lichtgestalt (lichtgestalt) wrote :

The fix had some rather strange side effects:
- Destop effects didn't work before but work now
- The terminal is partly transparent (see screenshot; only apprears in gnome-terminal)

(just reporting this in case it might be useful to somebody)

Rob (robklg) wrote :

I have requested ATI to please support the latest X.Org.. Maybe it helps if more people do so: http://support.ati.com/ics/survey/survey.asp

SimoneF (s-federici) wrote :

I had the same problem after last update,

but I solved disabling dri.

< Load "dri"
---
> Disable "dri"

hope it workaround can help someone
S

The Fiddler (stapostol) wrote :

> The fix had some rather strange side effects:
> - Destop effects didn't work before but work now
> - The terminal is partly transparent (see screenshot; only apprears in gnome-terminal)

The translucent terminal is part of the new desktop-effects. Quite MacOS-esque. :)

flaccid (chris-xhost) wrote :

@Rob the survey link returns "Invalid survey specified, please check URL." so it seems they cannot develop web pages and host them either, so best people just bite the bullet and buy new hardware namely Nvidia.

flaccid (chris-xhost) wrote :

@Rob looks like it needs params, so the link is http://support.ati.com/ics/survey/survey.asp?deptID=894&surveyID=508&type=web
Still i've never heard of this form doing anything or anyone getting a response so its most likely there to make it look as though they support and care about linux, which is evidently not true.

Rob (robklg) wrote :

@flaccid Ah yes thanks. I just clicked on "Linux Crew Driver Feedback" http://ati.amd.com/support/drivers/linux/linux-radeon.html

Thanks :)

ehcpdeveloper (ehcpdeveloper) wrote :

goto console, alt+f1 or Ctrl+alt+f1,
login,
cd /etc/X11

open your xorg.conf by vi or nano,

goto device section,
change driver from "fglrx" to "ati" or whatever you have...
you may also add disable "dri" to modules section

try startx,
if your xwindow starts, its ok.

restart your system.

btw, i must say that, ubuntu guys should avoid this, even in alpha-beta stages....

AndrewTheArt (andrewtheartist) wrote :

I can confirm bvidinli_ehcp's steps work. To clarify a bit -

(1) Load the recovery mode for the latest installed kernel on the GRUB boot list
(2) When the recovery menu loads, select the option "Drop to root shell" (or whatever it says to that effect)
(3) Open /etc/X11/xorg.conf in a console text editor - joe, vim, vi, whatever. I recommend Joe (you might need to sudo apt-get it) because it's easy to use
(4) Go to the "Modules" section. Either comment our or delete the line referencing "fglrx", and make an identical line, but substitute "ati" or whatever in place of "fglrx".
(5) Go to the "Device" section. You might see the line

Load "glx"

I replaced that line with -

Disable "glx"

(6) Exit Joe/Vi/Vim/Whatever. You can now try startx. If it works, you need to restart your computer to log in as a normal user (startx will load the root account)

Hope that helps.

Andrew

flaccid (chris-xhost) wrote :

@bvidinli_ehcp, AndrewTheArt

Although some people will appreciate the work around it doesn't solve anything and makes you use the open souce ati driver to which most people will not like as they enabled the restricted driver for a reason.
Another workaround that works very well is using Windows or going and buying a Mac :)

I guess there is simply nothing Ubuntu can do about a 3rd party restricted closed driver.
Should we submit a bug report to the unofficial http://ati.cchtml.com/ and close this one as the problem is upstream?

Rob (robklg) wrote :

Is there someone with indepth technical knowledge of X.Org here, who could report the exact problem, and make suggestions to ATI?

This is a very critical bug for many users, so I really hope it can be fixed before Intrepid is becoming stable.

I don't think this ticket should be closed: When a working fglrx driver is not available before the release of Intrepid, then we need to do discuss how we handle this. We cannot just let X break for all the fglrx users. So I think we should leave this bug open to discuss a "solution". Like the one suggested by Michael Vogt in comment #25 of this bug: "Should update-manager (on release upgrades) auto warn people using the fglrx driver not to upgrade (yet)? Or should it auto transition them to either ati or vesa ?"

Jarkko Lietolahti (jarkko-jab) wrote :

Is it possible to patch X 1.5 while waiting for fixed fglrx? Even ugly patch could do it...

Mak (praveenml) wrote :
Download full text (3.2 KiB)

I have Inter 4 Mobile chipset and the laptop is sony FW170J , the screen goes blank when I boot with latest Intrepid 8.10 Apha 5.

Any help will be appreciated, here is the output from lspci.

$lspci

00:00.0 Host bridge: Intel Corporation Cantiga Memory Controller Hub (rev 07)

00:02.0 VGA compatible controller: Intel Corporation Cantiga Integrated Graphics Controller (rev 07)

00:02.1 Display controller: Intel Corporation Cantiga Integrated Graphics Controller (rev 07)

00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)

00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)

00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)

00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)

00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)

00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)

00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)

00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)

00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)

00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)

00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)

00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)

00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)

00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)

05:00.0 Network controller: Intel Corporation Device 4232

07:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 13)

09:03.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)

09:03.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)

09:03.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)

$lsusb

Bus 008 Device 005: ID 054c:0377 Sony Corp.

Bus 008 Device 003: ID 0781:a7c1 SanDisk Corp.

Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Bus 003 Device 002: ID 05ca:183d Ricoh Co., Ltd

Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 006 Device 003: ID 044e:3017 Alps Electric Co., Ltd

Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 004 Device 003: ID 045e:00e1 Microsoft Corp. Wireless Laser Mouse 6000 Reciever

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Bus 001 Device 001:...

Read more...

PazO (pazoman) wrote :

#Mak

Your laptop is using an intel chipset and should therefore not be affected by this bug.

My advice to you would be to open a new bug and attach your xorg.log - I'm sure you will be getting more help there. :-)

Steve Langasek (vorlon) wrote :
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
crwl (crwl) wrote :

I'd say that comment in the release notes is a bit too positive. Users with newer Ati chipsets (like me with the Radeon HD 3850, which isn't even of the very newest generation) don't even get basic 2D acceleration with free drivers. That occasionally makes even basic everyday desktop usage next to unusable (YMMV). For many users, this isn't just loss of 3D acceleration, it's a huge regression in 2D performance too for those who previously had successfully used the fglrx driver -- I'd expect a huge number of upgraders to be _very_ disappointed.

ianaré (ianare) wrote :

Just to echo crwl's comments ... Using the HD 4850 card which is awesome under Windows, but in Ubuntu I don't even get smooth video playback, let alone decent opengl performance.

There doesn't seem to be much information about the ATI driver out on the net. Does anyone "in the know" have any info on an expected release date for a compatible driver ?

The problem is I suspect most users will blame Ubuntu rather than ATI if 8.10 breaks their video (this happened with Vista, for example). If ATI is unable or unwilling to support the newest X by release time, maybe it would make more sense to have it as an option but to use X from 8.04 by default.

Hadrien Dussuel (dbkblk) wrote :

My laptop have an ATI HD2600M and is, of course, affected by this problem.
In fact, i can't even boot on the desktop cd (neither alpha 6 nor beta) WITH DEFAULT SETTINGS, because xorg don't want to start ! I know this bug is due to the restricted driver but why the display doesn't work with the free driver neither ? It worked with hardy..
I can see the xorg and xserver logs to report the bug, but i have no idea how i can save them anywhere. Any idea ? (Write it on a paper is far too long... and i don't have a photo device)...

Thanks,

Artem Popov (artfwo) wrote :

Hi Hadrien! I cannot boot the latest Intrepid builds as well. Please check bug 274234 for the description of the problem.

muc (n-launchpad-drsick-net) wrote :

crwl wrote:
"I'd expect a huge number of upgraders to be _very_ disappointed."

I must agree to that - because I'm one of them :) I've got the X1350 and it's affected by the same bug. I cannot understand why Ubuntu took the new Xorg version into the new release when it was clear that fglrx would not be working anymore.

I'd go with any alternative solution as long as I can use fglrx (and therefore compiz - which IMHO is _required_ to use gnome effectively). So either a older Xorg Version or a ugly Xorg-fglrx patch to make get the old driver running.

So - I think this question came before - is there anyone "listening" who has in-depth knowlege and could determine the exact problem(s) in detail and what effort it would take to make an Xorg-patch (as opposed to providing an earlier Xorg version for fglrx users)

I'm getting tired of not being able to use compiz and thinking of downgrading :(
muc

flaccid (chris-xhost) wrote :

All I can say at this stage is that i'm waiting till final release on 30th October 2008 before I install Intrepid.
If I install it and get this, i'll be very unhappy. At that time, I will probably ask myself why I upgraded, to which I will answer because I get bug fixes not in Hardy. Its the usual Ubuntu upgrade to get rid of problems only to inherit new ones. This occurs every Ubuntu release.

Rob (robklg) wrote :

Hadrian, you can find the log in /var/log/. It is probably Xorg.0.log or Xorg.0.log.old (if it started in safe mode).

For me the free ati driver is also much less good. I have a dual display at work, I can get dual display to work only with the fglrx driver :(. Hopefully ATI will soon release a driver that supports the latest X11, then i'll install that driver manually. Not having the dual display is a bit frustrating...

muc (n-launchpad-drsick-net) wrote :

actually I just got compiz to work with the radeon driver :)

I updated regularly, so my guess is, that the current intrepid version contains new drivers for my X1350 or I have just never tried to use the ati/radeon driver without the 'xorg-driver-fglrx' installed!

Fact is: I started fiddling around with the xorg.conf _because_ my X wouldn't start anymore (black screen with blinking cursor) and found out that the installed 'libdri.so' from the 'xorg-driver-fglrx' was the reason that made X with the radeon driver crash with Sig11. Deinstalled the fglrx driver, started X and had glx and dri available - therefore compiz works also, but I haven't really tested how stable or fast :)

vilem novak (pildanovak) wrote :

I updated to intrepid and couldn't believe my eyes. I read just the 'current issues' section of the release notes, so didn't notice the tiny one-sentence notice that there's no fglrx for intrepid. The fact this isn't between the biggest priority bugs sounds quite scaring for me. Also, why to have new X without this? I really hope ati will be quick enough with their update....
currently, I got compiz working with os driver, but don't care, since I need 3d before all, and that I don't get to work at all.compiz also slows down e.g. gimp a lot.
that with x600. Such a frustration....:) I am going to downgrade to hardy right away...

Martin Pitt (pitti) wrote :

vilem,

> The fact this isn't between the biggest priority bugs sounds quite scaring for me.

As the hardware driver window and other documentation points out quite clearly, we *can't* fix proprietary drivers, thus raising the priority isn't going to help. The only thing we can do is to yell at AMD, which was done, and wait. :-(

vilem novak (pildanovak) wrote :

sorry for being too emotional. I completely understand this isn't in the hands of ubuntu devs. :(

flaccid (chris-xhost) wrote :

Well lets face the fact AMD aint going to do anything as they never do. So what does this mean for Intrepid?

Artem Popov (artfwo) wrote :

Well, I suppose that means a lot of unhappy users, given that support for some chips is broken in the open-source driver as well (bug 274234).

But anyway, fglrx will surely appear in Intrepid even if it's released afterwise (and if it will support xorg 1.5), so I'm just going to wait for that... That's the key problem with proprietary software :(

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.543-0ubuntu1

---------------
fglrx-installer (2:8.543-0ubuntu1) intrepid; urgency=low

  * New upstream release. (Closes lp: #247376)
  * control: Re-enabled provides of xserver-xorg-video-2 since
    this upload works with the current xserver.
  * README.Debian: Itemize update procedure

 -- Bryce Harrington <email address hidden> Tue, 14 Oct 2008 14:12:06 -0700

Changed in fglrx-installer:
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :

This now needs to be reverted in the release notes.

Changed in ubuntu-release-notes:
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

Michael, can you please revert the fglrx->ati transition in update-manager?

Changed in update-manager:
assignee: nobody → mvo
milestone: none → ubuntu-8.10
status: New → Triaged
Steve Langasek (vorlon) wrote :

reverted in release notes

Changed in ubuntu-release-notes:
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Steve was faster.

Jeremy (jeremy127) wrote :

This bug is marked as fixed, but if I try to upgrade to intrepid with the update manager, a box pops up and tells me that fglrx won't be available. Is this true?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.93.25

---------------
update-manager (1:0.93.25) intrepid; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - Fix crash from not having gettext imported

  [ Michael Vogt ]
  * revert the fglrx->ati transition (LP: #247376)

 -- Michael Vogt <email address hidden> Wed, 15 Oct 2008 10:03:04 +0200

Changed in update-manager:
status: Triaged → Fix Released
Tom Wright (twright-tdw) wrote :

finally, quake 4 should now work in intrepid :-)

Changed in fglrx-installer (Fedora):
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.